---
lang: en
title: 'API docs: openapi-v3.param'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.param.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [param](./openapi-v3.param.md)

## param namespace

Namespace for `@param.*` decorators

**Signature:**

```typescript
export declare namespace param 
```

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[array(name, source, itemSpec)](./openapi-v3.param.array.md)


</td><td>

Define a parameter of `array` type.


</td></tr>
<tr><td>

[filter(modelCtor, options)](./openapi-v3.param.filter.md)


</td><td>

Sugar decorator for `filter` query parameter


</td></tr>
<tr><td>

[where(modelCtor, name)](./openapi-v3.param.where.md)


</td><td>

Sugar decorator for `where` query parameter


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[header](./openapi-v3.param.header.md)


</td><td>

Header parameter decorator


</td></tr>
<tr><td>

[path](./openapi-v3.param.path.md)


</td><td>

Path parameter decorator


</td></tr>
<tr><td>

[query](./openapi-v3.param.query.md)


</td><td>

Query parameter decorator


</td></tr>
</tbody></table>

